PETSc version 3.15.5
Fix/Edit manual page

# PetscSFCreateEmbeddedLeafSF

removes edges from all but the selected leaves, does not remap indices

### Synopsis

    #include "petscsf.h"
    PetscErrorCode PetscSFCreateEmbeddedLeafSF(PetscSF sf,PetscInt nselected,const PetscInt *selected,PetscSF *newsf)

Collective

### Input Arguments

| sf | - original star forest
| nselected | - number of selected leaves on this process
| selected | - indices of the selected leaves on this process

### Output Arguments

| newsf | - new star forest

### See Also

PetscSFCreateEmbeddedRootSF(), PetscSFSetGraph(), PetscSFGetGraph()

### Level

advanced

### Location

src/vec/is/sf/interface/sf.c
Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages